For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
      • Submissions guide
      • Submission object
      • GETList submissions
      • GETRetrieve a submission
      • POSTApprove or reject a submission
      • POSTRequest the participant who submitted the response to return their response
      • POSTBulk approve submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceSubmissions

Bulk approve submissions

|View as Markdown|Open in Claude|
POST
https://api.prolific.com/api/v1/submissions/bulk-approve/
POST
/api/v1/submissions/bulk-approve/
$curl -X POST https://api.prolific.com/api/v1/submissions/bulk-approve/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "submission_ids": [
> "60f25f799fbd8a136cc6a9b0",
> "5ce69ff9b1e73b000146186d"
> ]
>}'
1"The request to bulk approve has been made successfully."
Bulk approve study submissions to pay participants after they have completed your survey or experiment. There are two variant payloads to this request. - You can supply a Study ID, and a list of participant IDs, or - You can provide a list of submission IDs We strongly recommend that you provide a list of submission IDs. These submissions do not need to be from the same study. We recommend a maximum of 1,000 submission or participant IDs per request.
Was this page helpful?
Previous

Request the participant who submitted the response to return their response

Next

Bonuses

Bulk approve study submissions to pay participants after they have completed your survey or experiment. There are two variant payloads to this request.

  • You can supply a Study ID, and a list of participant IDs, or
  • You can provide a list of submission IDs

We strongly recommend that you provide a list of submission IDs. These submissions do not need to be from the same study.

We recommend a maximum of 1,000 submission or participant IDs per request.

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Request

This endpoint expects an object.
Participant IDsobjectRequired
OR
Submission IDsobjectRequired

Response

Bulk approve in progress

Errors

4XX
Client Request Error